Create Chat Completion
curl --request POST \
--url https://llm-gateway.heurist.xyz/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": "<string>"
}
],
"max_tokens": 1024,
"temperature": 0.5,
"stream": false
}
'import requests
url = "https://llm-gateway.heurist.xyz/v1/chat/completions"
payload = {
"messages": [{ "content": "<string>" }],
"max_tokens": 1024,
"temperature": 0.5,
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>'}],
max_tokens: 1024,
temperature: 0.5,
stream: false
})
};
fetch('https://llm-gateway.heurist.xyz/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"message": {
"role": "assistant",
"content": "<string>"
},
"index": 123
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}LLM Gateway
Chat Completion Endpoint
OpenAI-compatible chat completion endpoint for LLM interactions.
POST
/
v1
/
chat
/
completions
Create Chat Completion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Chat completion request parameters
ID of the model to use
Available options:
hermes-3-llama3.1-8b, meta-llama/llama-3.3-70b-instruct, mistralai/mistral-7b-instruct, mistralai/mixtral-8x22b-instruct, mistralai/mixtral-8x7b-instruct, nvidia/llama-3.1-nemotron-70b-instruct, qwen/qwen-2.5-coder-32b-instruct A list of messages comprising the conversation so far
Show child attributes
Show child attributes
The maximum number of tokens to generate
Example:
1024
Sampling temperature between 0 and 1
Required range:
0 <= x <= 1Whether to stream back partial progress
⌘I